//
//  ViewController.swift
//  AmpIMADAISample
//
//  Created by Jairo Rodríguez Mejías on 7/18/19.
//  Copyright © 2023 Jairo Rodríguez Mejías. All rights reserved.
//

import UIKit
import AmpCore
import AmpIMA
import GoogleInteractiveMediaAds

class ViewController: UIViewController, PlayerEventObserver {    
    
    var player:AmpPlayer!
    var dai:AmpIMAManager!
    var fallbackURL = "https://bitdash-a.akamaihd.net/content/sintel/hls/playlist.m3u8"
    
    override func viewDidLoad() {
        super.viewDidLoad()
        player = AmpPlayer(parentView: self.view)
        dai = AmpIMAManager(ampPlayer: player, videoView: player.playerView!)
        player.autoplay = true
    player.setLicense("AwFq0+6lYTtaXONhU37HLBntzYkeqal9B9fx6SbVl1T3A6V3TXuyCeSHiH5+YdxbKEbkp+NBPlfmTiJIVk48oL18H+HMKI5NDdYmdPAw9CYJWMTQUltXe2OVbCOjp3Yil9QHlIxH+VBC0+FyvI1X1OeGsJYJ3eELL8PETPTamITfipfseQmiNgtAluVfhHhSgIUZXAAh/8I9kwKacgglmwMjvAW1kUBvv/NFuXMlDj3odQ==")
        player.registerObserver(self)
        dai.registerDaiObserver(self)
        // Uncomment to test a VOD stream
        // dai.requestVodStream(contentSourceID: "2528370", videoID: "tears-of-steel")
    }
    
    override func viewDidAppear(_ animated: Bool) {
        dai.requestLiveStream(assetkey: "sN_IYUG8STe1ZzhIIE_ksA", fallbackUrl: fallbackURL)
    }
}

extension ViewController: IMAStreamManagerDelegate {
    func streamManager(_ streamManager: IMAStreamManager!, didReceive event: IMAAdEvent!) {
        print("reporting dai didReceive event \(event.typeString)")
    }
    
    func streamManager(_ streamManager: IMAStreamManager!, didReceive error: IMAAdError!) {
        print("reporting dai didReceive error \(error.debugDescription)")
    }
}

